Fetch all products by skus

Fetch all products with matching sku, the skus need to be comma separated Deprecated. Use https://graphql.enad.io instead.

GET/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus
API
Shopper
Updated
Apr 26, 2026

shopper-api:GET:/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus

Fetch all products with matching sku, the skus need to be comma separated Deprecated. Use https://graphql.enad.io instead.

API ownership

  • API family: Shopper API
  • Best for: Public storefront catalog reads and shopper-facing product discovery.
  • Prefer Search API for: New product discovery, facets, autocomplete, and other search-heavy storefront flows.
  • Do not use from: Trusted admin integrations that create, update, or delete merchant-owned data.
  • Guide route: /apis/shopper/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus
  • Summary: Fetch all products by skus
  • Description: Fetch all products with matching sku, the skus need to be comma separated Deprecated. Use https://graphql.enad.io instead.
  • OpenAPI contract: shopper-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters4 parameters
NameInRequiredTypeDescription
app_idpathYesstringApp ID
localepathYesstringAlpha 2 country code. e.g se
skuspathYesstringComma separated skus
marketpathYesstringFilter to only get related information to the market
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses3 statuses
StatusDescriptionContent
200OKapplication/json (object)
400Invalid parametersapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

PropertyTypeRequiredDetails
dataobject[]No-
PropertyTypeRequiredDetails
attributesobjectNo-
brandsobjectNo-
categoriesobject[]No-
collectionsobject[]No-
created_atstringNo-
custom_fieldsobjectNo-
descriptionstringNo-
filesobject[]No-
html_descriptionstringNo-
html_short_descriptionstringNo-
idstringNo-
imagesobject[]No-
in_stockbooleanNo-
is_activebooleanNo-
meta_descriptionstringNo-
meta_titlestringNo-
product_namestringNo-
product_numberstringNo-
ranknumberNo-
redirectsobjectNo-
related_productsobject[]No-
short_descriptionstringNo-
slugstringNo-
slug_translationsobjectNo-
statusstringNo-
tagsobject[]No-
third_party_linksobject[]No-
updated_atstringNo-
variantsobject[]No-
videosobject[]No-
Product Brand
PropertyTypeRequiredDetails
addressobjectNo-
namestringNo-
seriesobjectNo-
slugstringNo-
Product Category
PropertyTypeRequiredDetails
attributesobjectNo-
cover_urlstringNo-
full_path_namestring[]No-
full_uri_translationsobjectNo-
idstringNo-
namestringNo-
orderintegerNo-
parent_idstringNo-
redirectsobjectNo-
slug_translationsobjectNo-
sort_orderintegerNo-
statusstringNo-
sub_categoriesobject[]No-
uristringNo-
Product Collection
PropertyTypeRequiredDetails
childrenobject[]No-
idstringNo-
orderintegerNo-
parent_idstringNo-
titlestringNo-
uristringNo-
File
PropertyTypeRequiredDetails
attributesobjectNo-
titlestringNo-
typestringNo-
urlstringNo-
Image
PropertyTypeRequiredDetails
altstringNo-
attributesobjectNo-
blurhashstringNo-
custom_fieldsobjectNo-
sortintegerNo-
titlestringNo-
urlstringNo-
PropertyTypeRequiredDetails
attributesobjectNo-
idstringNo-
imagestringNo-
product_namestringNo-
product_numberstringNo-
slugstringNo-
typestringNo-
Product Tag
PropertyTypeRequiredDetails
attributesobjectNo-
created_atstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
namestringNo-
orderintegerNo-
statusstringNo-
updated_atstringNo-
PropertyTypeRequiredDetails
idstringNo-
titlestringNo-
typestringNo-
urlstringNo-
Variant
PropertyTypeRequiredDetails
attributesobjectNo-
custom_fieldsobjectNo-
descriptionstringNo-
dimensionsobjectNo-
idstringNo-
image_urlstringNo-
imagesobject[]No-
inventoriesobject[]No-
is_activebooleanNo-
packaging_dimensionsobjectNo-
pricesobject[]No-
shipping_attributesstring[]No-
tagsobject[]No-
validate_stockbooleanNo-
variant_namestringNo-
variant_numberstringNo-
videosobject[]No-
Video
PropertyTypeRequiredDetails
attributesobjectNo-
descriptionstringNo-
titlestringNo-
urlstringNo-
{
  "data": [
    {
      "attributes": {},
      "brands": {
        "address": {
          "city": null,
          "co_address": null,
          "country": null,
          "email": null,
          "house_number": null,
          "postal_code": null,
          "state_province": null,
          "street_address": null
        },
        "name": "string",
        "series": {
          "name": null,
          "slug": null
        },
        "slug": "string"
      },
      "categories": [
        {
          "attributes": null,
          "cover_url": null,
          "full_path_name": null,
          "full_uri_translations": null,
          "id": null,
          "name": null,
          "order": null,
          "parent_id": null,
          "redirects": null,
          "slug_translations": null,
          "sort_order": null,
          "status": null,
          "sub_categories": null,
          "uri": null
        }
      ],
      "collections": [
        {
          "children": null,
          "id": null,
          "order": null,
          "parent_id": null,
          "title": null,
          "uri": null
        }
      ],
      "created_at": "string",
      "custom_fields": {},
      "description": "string",
      "files": [
        {
          "attributes": null,
          "title": null,
          "type": null,
          "url": null
        }
      ],
      "html_description": "string",
      "html_short_description": "string",
      "id": "string",
      "images": [
        {
          "alt": null,
          "attributes": null,
          "blurhash": null,
          "custom_fields": null,
          "sort": null,
          "title": null,
          "url": null
        }
      ],
      "in_stock": false,
      "is_active": false,
      "meta_description": "string",
      "meta_title": "string",
      "product_name": "string",
      "product_number": "string",
      "rank": 0,
      "redirects": {},
      "related_products": [
        {
          "attributes": null,
          "id": null,
          "image": null,
          "product_name": null,
          "product_number": null,
          "slug": null,
          "type": null
        }
      ],
      "short_description": "string",
      "slug": "string",
      "slug_translations": {},
      "status": "string",
      "tags": [
        {
          "attributes": null,
          "created_at": null,
          "filterable": null,
          "id": null,
          "key": null,
          "name": null,
          "order": null,
          "status": null,
          "updated_at": null
        }
      ],
      "third_party_links": [
        {
          "id": null,
          "title": null,
          "type": null,
          "url": null
        }
      ],
      "updated_at": "string",
      "variants": [
        {
          "attributes": null,
          "custom_fields": null,
          "description": null,
          "dimensions": null,
          "id": null,
          "image_url": null,
          "images": null,
          "inventories": null,
          "is_active": null,
          "packaging_dimensions": null,
          "prices": null,
          "shipping_attributes": null,
          "tags": null,
          "validate_stock": null,
          "variant_name": null,
          "variant_number": null,
          "videos": null
        }
      ],
      "videos": [
        {
          "attributes": null,
          "description": null,
          "title": null,
          "url": null
        }
      ]
    }
  ]
}

400 - object

Error Message

PropertyTypeRequiredDetails
messagestringNo-

Generated example (synthetic):

{
  "message": "string"
}

500 - object

Error Message

PropertyTypeRequiredDetails
messagestringNo-

Generated example (synthetic):

{
  "message": "string"
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Shopper API
  • Method: GET
  • Path: /api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Products
  • OpenAPI summary: Fetch all products by skus

Fetch all products by skus

# Fetch all products by skus Fetch all products with matching sku, the skus need to be comma separated Deprecated. Use https://graphql.enad.io instead.
GET /api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus
Purpose

Fetch all products with matching sku, the skus need to be comma separated Deprecated.

Required inputs

app_id path locale path skus path market path

Primary response

200 ยท OK

Operation key

shopper-api:GET:/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus

## API ownership - API family: Shopper API - Best for: Public storefront catalog reads and shopper-facing product discovery. - Prefer Search API for: New product discovery, facets, autocomplete, and other search-heavy storefront flows. - Do not use from: Trusted admin integrations that create, update, or delete merchant-owned data. - Guide route: [/apis/shopper/latest](/apis/shopper/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus` - Summary: Fetch all products by skus - Description: Fetch all products with matching sku, the skus need to be comma separated Deprecated. Use https://graphql.enad.io instead. - OpenAPI contract: shopper-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `shopper-api:GET:/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App ID | | locale | path | Yes | string | Alpha 2 country code. e.g `se` | | skus | path | Yes | string | Comma separated skus | | market | path | Yes | string | Filter to only get related information to the market | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | OK | application/json (object) | | 400 | Invalid parameters | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Product With Short Related Product List | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | ##### Product With Short Related Product | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `brands` | object | No | - | | `categories` | object[] | No | - | | `collections` | object[] | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `files` | object[] | No | - | | `html_description` | string | No | - | | `html_short_description` | string | No | - | | `id` | string | No | - | | `images` | object[] | No | - | | `in_stock` | boolean | No | - | | `is_active` | boolean | No | - | | `meta_description` | string | No | - | | `meta_title` | string | No | - | | `product_name` | string | No | - | | `product_number` | string | No | - | | `rank` | number | No | - | | `redirects` | object | No | - | | `related_products` | object[] | No | - | | `short_description` | string | No | - | | `slug` | string | No | - | | `slug_translations` | object | No | - | | `status` | string | No | - | | `tags` | object[] | No | - | | `third_party_links` | object[] | No | - | | `updated_at` | string | No | - | | `variants` | object[] | No | - | | `videos` | object[] | No | - | ##### Product Brand | Property | Type | Required | Details | | --- | --- | --- | --- | | `address` | object | No | - | | `name` | string | No | - | | `series` | object | No | - | | `slug` | string | No | - | ##### Product Category | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `cover_url` | string | No | - | | `full_path_name` | string[] | No | - | | `full_uri_translations` | object | No | - | | `id` | string | No | - | | `name` | string | No | - | | `order` | integer | No | - | | `parent_id` | string | No | - | | `redirects` | object | No | - | | `slug_translations` | object | No | - | | `sort_order` | integer | No | - | | `status` | string | No | - | | `sub_categories` | object[] | No | - | | `uri` | string | No | - | ##### Product Collection | Property | Type | Required | Details | | --- | --- | --- | --- | | `children` | object[] | No | - | | `id` | string | No | - | | `order` | integer | No | - | | `parent_id` | string | No | - | | `title` | string | No | - | | `uri` | string | No | - | ##### File | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `title` | string | No | - | | `type` | string | No | - | | `url` | string | No | - | ##### Image | Property | Type | Required | Details | | --- | --- | --- | --- | | `alt` | string | No | - | | `attributes` | object | No | - | | `blurhash` | string | No | - | | `custom_fields` | object | No | - | | `sort` | integer | No | - | | `title` | string | No | - | | `url` | string | No | - | ##### Product With Related Product Summary | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `id` | string | No | - | | `image` | string | No | - | | `product_name` | string | No | - | | `product_number` | string | No | - | | `slug` | string | No | - | | `type` | string | No | - | ##### Product Tag | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `created_at` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `order` | integer | No | - | | `status` | string | No | - | | `updated_at` | string | No | - | ##### Third Party Link | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `title` | string | No | - | | `type` | string | No | - | | `url` | string | No | - | ##### Variant | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `dimensions` | object | No | - | | `id` | string | No | - | | `image_url` | string | No | - | | `images` | object[] | No | - | | `inventories` | object[] | No | - | | `is_active` | boolean | No | - | | `packaging_dimensions` | object | No | - | | `prices` | object[] | No | - | | `shipping_attributes` | string[] | No | - | | `tags` | object[] | No | - | | `validate_stock` | boolean | No | - | | `variant_name` | string | No | - | | `variant_number` | string | No | - | | `videos` | object[] | No | - | ##### Video | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object | No | - | | `description` | string | No | - | | `title` | string | No | - | | `url` | string | No | - |
Generated example (synthetic) ```json { "data": [ { "attributes": {}, "brands": { "address": { "city": null, "co_address": null, "country": null, "email": null, "house_number": null, "postal_code": null, "state_province": null, "street_address": null }, "name": "string", "series": { "name": null, "slug": null }, "slug": "string" }, "categories": [ { "attributes": null, "cover_url": null, "full_path_name": null, "full_uri_translations": null, "id": null, "name": null, "order": null, "parent_id": null, "redirects": null, "slug_translations": null, "sort_order": null, "status": null, "sub_categories": null, "uri": null } ], "collections": [ { "children": null, "id": null, "order": null, "parent_id": null, "title": null, "uri": null } ], "created_at": "string", "custom_fields": {}, "description": "string", "files": [ { "attributes": null, "title": null, "type": null, "url": null } ], "html_description": "string", "html_short_description": "string", "id": "string", "images": [ { "alt": null, "attributes": null, "blurhash": null, "custom_fields": null, "sort": null, "title": null, "url": null } ], "in_stock": false, "is_active": false, "meta_description": "string", "meta_title": "string", "product_name": "string", "product_number": "string", "rank": 0, "redirects": {}, "related_products": [ { "attributes": null, "id": null, "image": null, "product_name": null, "product_number": null, "slug": null, "type": null } ], "short_description": "string", "slug": "string", "slug_translations": {}, "status": "string", "tags": [ { "attributes": null, "created_at": null, "filterable": null, "id": null, "key": null, "name": null, "order": null, "status": null, "updated_at": null } ], "third_party_links": [ { "id": null, "title": null, "type": null, "url": null } ], "updated_at": "string", "variants": [ { "attributes": null, "custom_fields": null, "description": null, "dimensions": null, "id": null, "image_url": null, "images": null, "inventories": null, "is_active": null, "packaging_dimensions": null, "prices": null, "shipping_attributes": null, "tags": null, "validate_stock": null, "variant_name": null, "variant_number": null, "videos": null } ], "videos": [ { "attributes": null, "description": null, "title": null, "url": null } ] } ] } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `message` | string | No | - | **Generated example (synthetic):** ```json { "message": "string" } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `message` | string | No | - | **Generated example (synthetic):** ```json { "message": "string" } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Shopper API - Method: `GET` - Path: `/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `shopper-api:GET:/api/v1/omni/:app_id/:store_group/:market/:locale/products/skus/:skus` - OpenAPI tag: Products - OpenAPI summary: Fetch all products by skus